%define upstream_name    MooseX-Role-Loggable
%define upstream_version 0.007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extensive, yet simple, logging role using Log::Dispatchouli
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Log::Dispatchouli)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Sys::Syslog) >= 0.160.0
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a role to provide logging ability to whoever consumes it using the
Log::Dispatchouli manpage.

Once you consume this role, you have the attributes and methods documented
below.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Thu Jan 05 2012 jquelin <jquelin> 0.7.0-1.mga2
+ Revision: 191217
- update to 0.007

  + kharec <kharec>
    - update to 0.004

* Sun Jul 03 2011 jquelin <jquelin> 0.3.0-1.mga2
+ Revision: 117555
- imported package perl-MooseX-Role-Loggable


* Sun Jul 03 2011 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
